<a name="menu" href="/doc">返回主目录</a>
1. [短信验证码](#smsCode)
1. [日志说明](#execLogs)
1. [控制台总览-产品使用信息](#getProductUsageInfo)

## **<a name="smsCode"> 短信验证码</a>**
[返回到目录](#menu)
##### URL
[/api/action/commonMsgSend/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 Action：SendVerificationCode

``` javascript
    {
        "Action": "SendVerificationCode",
        "PhoneNumber": "15010929366" // Y 手机号
    }     
```

#### 返回结果
```javascript
    {
        "Response": {
            "Status": 1,//1为成功，否则失败
            "InstanceSet": null,
            "RequestId": "7364f560-b29c-11ea-97f7-efd638e57201"
        }
    }    
```

## **<a name="execLogs"> 日志说明</a>**
[返回到目录](#menu)
##### 调用方式
本地调用
#### 方法路径
app\base\utils\execClient.js
#### 方法名称：execLogs
#### 参数说明

|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| opTitle  | 否 |  string   | 操作的标题  |
| params  | 否 |  json   | 参数 |
| identifyCode  | 否 |  string   | 业务标识  |
| resultInfo  | 否 |  json   | 返回结果 |
| errorInfo  | 否 |  json   | 错误信息  |

#### 参数示例
``` javascript

this.execClient = system.getObject("util.execClient");
this.execClient.execLogs("短信通知异常",reqobj, "orderDeliverySve_sendSmsNotification_error", null, e.stack);
     
```

#### 业务标识参数说明

identifyCode参数约定命名方式：文件名_方法名_日志类型

|   业务标识   | 业务描述  |
|  ----  | ----  |
| orderDeliverySve_sendNotification_error  | 发送短信通知异常（订单） |
| orderDeliverySve_createQualificationCertificateInfo_error  | 创建资质信息异常 |
| orderDeliverySve_createApplyInfo_error  | 创建申请实体异常 |
| needSolutionSve_sendNotification_error  | 发送短信通知异常（需求方案） |


## **<a name="getProductUsageInfo"> 控制台总览-产品使用信息</a>**
[返回到目录](#menu)
##### URL
[/overview/action/statisticData/getProductUsageInfo]
#### content-type  `application/x-www-form-urlencoded`
#### HTTP请求方式 `POST`
#### 参数说明


|   参数名称   | 必选  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| interfaceName  | 是 |  string   | 接口名,getVatProductUsageInfo:"增值电信产品使用信息",getBusinessRegistrationProductUsageInfo:"工商注册产品使用信息"  |
| openId  | 否 |  string   | 使用openId接入的业务使用，同时不会传uin和appid参数 |
| ownerUin  | 否 |  string   | 主账号  |
| uin  | 否 |  string   | 当前登录帐号 |
| appId  | 是 |  string   | 主帐号appid  |
| projectId  | 是 |  string   | 项目id；-1为所有项目或者业务不分项目；0为默认项目。不使用时传0，需支持负数，默认为-1 |

``` javascript
{
	"version": "1.0",
	"componentName": "CONSOLE_LOGICAL_SERVER",
	"eventId": 795200817,  // 随机数
	"seqId": null,
	"spanId": ";1012923 ",
	"timestamp": 1584237799,  // unix时间戳
	"interface": {
		"interfaceName": "getVatProductUsageInfo",
		"para": {
			"openId": "uyuhbf-jhbawef", // 使用openId接入的业务使用，同时不会传uin和appid参数
			"ownerUin": "909619400", // 主帐号uin
			"uin":"56627766",  // 当前登录帐号uin
			"appId":1255325, // 主帐号appid
			"projectId":1234. //项目id；-1为所有项目或者业务不分项目；0为默认项目。默认为-1
		}
	}
}  
```

#### 返回结果
```javascript
{
	"returnCode": 0, // 0成功，非0失败
	"returnMessage": "ok", // 接口失败时返回失败信息
	"data": {
		"nums": 12, // 产品使用数量
		"isOpen": 1, // 0未开通此产品；1已开通此产品
		"unit": "次" // 产品使用数量单位
	}
}  
```
