<a name="menu" href="/doc">返回主目录</a>

1. [推送需求到服务商](#needSubmit)
1. [推送订单到服务商](#orderSubmit)
1. [关闭需求推送到服务商](#needClose)
1. [关闭订单推送到服务商](#orderClose)
1. [初始化产品表](#getH5PayUrl)

## **<a name="needSubmit"> 推送需求到服务商</a>**
[返回到目录](#menu)
##### URL:
/entService/consultation/springBoard

 
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：needSubmit
### 1.公司注册参数、2个体户注册参数
参数名 |  必须 | 字段类型 | 长度限制 | 说明
-|-|-|-|-
needNum | Y | string | 100 | 需求号
userId | Y | string | 100 | 用户id
servicerCode | Y | string | 100 | 服务商code
servicerName | Y | string | 100 | 服务商名称
regionId | Y | string | 100 | 地区id
regionName | Y | string | 100 | 地区名称
contactsName | Y | string | 100 | 用户名称
ContactsMobile | Y | string | 100 | 用户电话
consultType | Y | int | 100 | 需求类型
consultTypeName | Y | int | 100 | 需求类型名称

### 3.增值服务
参数名 |  必须 | 字段类型 | 长度限制 | 说明
-|-|-|-|-
needNum | Y | string | 100 | 需求号
userId | Y | string | 100 | 用户id
servicerCode | Y | string | 100 | 服务商code
servicerName | Y | string | 100 | 服务商名称
regionId | Y | string | 100 | 地区id
regionName | Y | string | 100 | 地区名称
contactsName | Y | string | 100 | 用户名称
ContactsMobile | Y | string | 100 | 用户电话
consultType | Y | int | 100 | 需求类型
consultTypeName | Y | int | 100 | 需求类型名称
companyName | Y | int | 100 | 公司名称

``` javascript  
{
    "actionType": "needSubmit",
    "actionBody": {
        "needNum":"n0001",
        "userId":"tx000111",
        "servicerCode":"gsb",
        "servicerName":"公司宝",
        "regionId":"1",
        "regionName":"北京",
        "contactsName":"张三",
        "ContactsMobile":"17610163853",
        "consultType":"/ic/gsreg/"，
        "consultTypeName":"/工商服务/公司注册/"，
        "servicerCode: "gsb",
        "servicerName": "公司宝",
        "companyName":"公司名称"
    }
}        
```

#### 返回结果
```javascript
   {
    "status":1,   //1代表成功，否则失败
    "message":"",
    "data":"",
    "requestId":""
    }
```

## **<a name="orderSubmit"> 推送订单到服务商</a>**
[返回到目录](#menu)
##### URL
/entService/order/springBoard
 
#### 参数格式  `JSON`人
#### HTTP请求方式 `POST`
#### 功能模块 actionType：orderSubmit
### 1.公司注册参数、2个体户注册参数
参数名 |  必须 | 字段类型 | 长度限制 | 说明
-|-|-|-|-
txOrderNum | Y | string | 100 | 订单号
orderNum | Y | string | 100 | 订单号
userId | Y | string | 100 | 用户id
servicerCode | Y | string | 100 | 服务商code
servicerName | Y | string | 100 | 服务商名称
regionId | Y | string | 100 | 地区id
regionName | Y | string | 100 | 地区名称
contactsName | Y | string | 100 | 用户名称
contactsMobile | Y | string | 100 | 用户电话
productType | Y | int | 100 | 产品类型
productTypeName | Y | int | 100 | 产品类型名称

### 3.增值服务
参数名 |  必须 | 字段类型 | 长度限制 | 说明
-|-|-|-|-
txOrderNum | Y | string | 100 | 订单号
orderNum | Y | string | 100 | 订单号
userId | Y | string | 100 | 用户id
servicerCode | Y | string | 100 | 服务商code
servicerName | Y | string | 100 | 服务商名称
regionId | Y | string | 100 | 地区id
regionName | Y | string | 100 | 地区名称
contactsName | Y | string | 100 | 用户名称
contactsMobile | Y | string | 100 | 用户电话
productType | Y | int | 100 | 产品类型
productTypeName | Y | int | 100 | 产品类型名称
order_snapshot | Y | string | 500 | 订单快照(json转字符串)

``` javascript  
{
    "actionType": "orderSubmit",
    "actionBody": {
        "txOrderNum":"",
        "orderNum":"",
        "userId":"",
        "servicerCode":"",
        "servicerName":"",
        "regionId":"",
        "regionName":"",
        "contactsName":"",
        "contactsMobile":"",
        "productType":""
        "orderSnapshot":{}
    }
}        
```

#### 返回结果
```javascript
   {
    "status":1,   //1代表成功，否则失败
    "message":"",
    "data":"",
    "requestId":""
    }
```

## **<a name="needClose"> 关闭需求推送到服务商</a>**
[返回到目录](#menu)
##### URL
/entService/consultation/springBoard
 
#### 参数格式  `JSON`人
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：needClose

参数名 |  必须 | 字段类型 | 长度限制 | 说明
-|-|-|-|-
NeedNum | Y | string | 100 | 需求号
RefusalContent | Y | string | 100 | 备注信息
SolutionNum | Y | string | 100 | 方案号
``` javascript
{
    "actionType": "needClose",
    "actionBody": {
    "NeedNum":"",
    "RefusalContent":"",  //描述
    "SolutionNum":""
   } 
} 


```

#### 返回结果
```javascript
{
    "status":1,    //1代表成功，否则失败
    "msg":"",
    "data":"",
    "requestId":""
}

```
## **<a name="orderClose"> 关闭订单推送到服务商</a>**
[返回到目录](#menu)
##### URL
 /entService/order/springBoard

#### 参数格式  `JSON`人
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：orderClose

参数名 |  必须 | 字段类型 | 长度限制 | 说明
-|-|-|-|-
orderNum | Y | string | 100 | 订单号
desc | Y | string | 100 | 备注信息

``` javascript
{
    "orderNum":"",
    "desc":""  //描述
}

```

#### 返回结果
```javascript
{
    "status":1,    //1代表成功，否则失败
    "msg":"",
    "data":"",
    "requestId":""
}

```
