<a name="menu" href="/doc">返回主目录</a>

1. [服务商提交方案](#submitSolution)
1. [服务商关闭需求](#closeNeed)
<!-- 1. [服务商提交交付信息](#submitDeliveryInfo) -->
1. [服务商修改订单交付状态](#updateOrderStatus)

## **<a name="submitSolution"> 服务商提交方案</a>**
[返回到目录](#menu)
##### URL
[/api/receive/entService/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：submitSolution
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| needNum  | 是 |  string   | 需求编码  |
| solutionNum  | 否 |  string   | 方案编码，修改方案时传入，不传默认新增  |
| solutionContent  | 是 |  json   | 方案内容  |

#### 参数示例
``` javascript
    
    {
        "actionType": "submitSolution",
        "actionBody": {
            "needNum": "N2020052978888",
            "solutionNum":"",
            "solutionContent": {}
        }
    }   
```

#### 返回结果
```javascript
   {
        "status":1,// 1为成功，否则失败
        "msg":"success",
        "data":"NS_202005291451Iy2Gk",//方案号，新增时返回
        "requestId":"e52e42676d86423a91623f7474a20963"
    }

```

## **<a name="closeNeed"> 服务商关闭需求</a>**
[返回到目录](#menu)
##### URL
[/api/receive/entService/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：closeNeed
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| needNum  | 是 |  string   | 需求编码  |
| note  | 是 |  string   | 关闭原因  |

#### 参数示例
``` javascript
    
    {
        "actionType": "closeNeed",
        "actionBody": {
            "needNum": "N2020052978888",
            "note": "xxx"
        }
    }  
```

#### 返回结果
```javascript
   {
        "status": 1,// 1为成功，否则失败
        "msg": "success",
        "data":null,
        "requestId": "a277fb799d9f4dda9053fb8830f9d252"
    }

```

<!-- ## **<a name="submitDeliveryInfo"> 服务商提交交付信息</a>**
[返回到目录](#menu)
##### URL
[/api/receive/entService/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：submitDeliveryInfo
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| orderNum  | 是 |  string   | 订单编码  |
| deliveryContent  | 是 |  json   | 交付信息  |

#### 参数示例
``` javascript
    
    {
        "actionType": "submitDeliveryInfo",
        "actionBody": {
             "orderNum": "O20201231223384682",
            "deliveryContent": {}
        }
    } 
```

#### 返回结果
```javascript
   {
        "status": 1,// 1为成功，否则失败
        "msg": "success",
        "data":null,
        "requestId": "a277fb799d9f4dda9053fb8830f9d252"
    }

``` -->

## **<a name="updateOrderStatus"> 服务商修改订单交付状态/提交交付信息</a>**
[返回到目录](#menu)
##### URL
[/api/receive/entService/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 功能模块 actionType：updateOrderStatus
#### 参数说明
|   参数名   | 必填  |  类型   | 描述  |
|  ----  | ----  |  ----  | ----  |
| orderNum  | 是 |  string   | 订单编码  |
| status  | 是 |  int   | 订单状态码 "1":"已付款","2":"已接单","3":"已交付","10":"收集工商注册材料","11":"上传注册材料","12":"园区入驻审核","13":"工商审核环节","14":"刻章环节","15":"证件邮寄环节","16":"您已签收","17":"已完成","18":"已到期","19":"关闭交付","20":"未申报","21":"已申报"|
| deliverContent  | 否 |  json   | 新的交付信息，例如邮寄信息  |

#### 参数示例
``` javascript
    
    {
        "actionType": "updateOrderStatus",
        "actionBody": {
            "orderNum": "O20201231223384682",
            "status": 10,
            "deliverContent":{}
        }
    } 
```

#### 返回结果
```javascript
   {
        "status": 1,// 1为成功，否则失败
        "msg": "success",
        "data":null,
        "requestId": "a277fb799d9f4dda9053fb8830f9d252"
    }

```

